<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('suppliers', function (Blueprint $table) {
            $table->boolean('hasDeliveryConstraint')->default(false)->after('canSeeInOrder');
            $table->tinyInteger('orderCutOffTime')->default(12)->after('hasDeliveryConstraint');
            $table->unsignedSmallInteger('deliveryLeadTime')->default(48)->after('orderCutOffTime');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('suppliers', function (Blueprint $table) {
            $table->dropColumn(['hasDeliveryConstraint', 'orderCutOffTime', 'deliveryLeadTime']);
        });
    }
};
